<mamecheat version="1">

  <cheat desc="Infinite Time PL1"> <comment>Turn Off at the end of each level</comment>
    <script state="run">
      <action>maincpu.pw@2280=5909</action>
    </script>
  </cheat>

  <cheat desc="Drain Remaining Time Now! PL1">
    <script state="on">
      <action>maincpu.pw@2280=0100</action>
    </script>
  </cheat>

  <cheat desc="Win this Game Now! PL1">
    <script state="on">
      <action>maincpu.pb@2090=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2"> <comment>Turn Off at the end of each Level</comment>
    <script state="run">
      <action>maincpu.pw@2282=5909</action>
    </script>
  </cheat>

  <cheat desc="Drain Remaining Time Now! PL2">
    <script state="on">
      <action>maincpu.pw@2282=0100</action>
    </script>
  </cheat>

  <cheat desc="Win this Game Now! PL2">
    <script state="on">
      <action>maincpu.pb@2092=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="178" step="1"/>
    <script state="change">
      <action>maincpu.pb@2140=param</action>
      <action>maincpu.pb@201F=40</action>
      <action condition="(param LT 80)">maincpu.pb@201D=41</action>
      <action condition="(param GE 80)">maincpu.pb@201D=42</action>
      <action condition="(param GE 80)">maincpu.pb@2141=FF</action>
      <action condition="maincpu.pb@2023==00">maincpu.pb@2023=01</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
